
Foreman - Tracker #34647

Rails 7.0 Tracker

03/18/2022 11:35 AM - Ondřej Ezr

Status: New % Done: 100%

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

From what we know, the main deprecation that will go away is classical autoloader.

Subtasks:

Refactor # 35420: Drop boot_settings.rb early loading mechanism Closed

Refactor # 35447: Update apipie-rails to 0.8.x Closed

Related issues:

Blocked by Foreman - Tracker #28570: Rails 6.1 Tracker Closed

Blocked by Foreman - Feature #29991: Enable Zeitwerk autoload mode for Rails 6+ Ready For Testing

Blocked by Foreman - Tracker #32684: Ruby 3.0 support Closed

History

#1 - 03/18/2022 11:35 AM - Ondřej Ezr

- Blocked by Tracker #28570: Rails 6.1 Tracker added

#2 - 03/18/2022 11:36 AM - Ondřej Ezr

- Blocked by Feature #29991: Enable Zeitwerk autoload mode for Rails 6+ added

#3 - 08/29/2022 10:27 AM - Ewoud Kohl van Wijngaarden

- Assignee set to Ewoud Kohl van Wijngaarden

#4 - 09/08/2022 03:50 PM - Ewoud Kohl van Wijngaarden

- Related to Tracker #32684: Ruby 3.0 support added

#5 - 09/08/2022 03:50 PM - Ewoud Kohl van Wijngaarden

- Related to deleted (Tracker #32684: Ruby 3.0 support)

#6 - 09/08/2022 03:51 PM - Ewoud Kohl van Wijngaarden

- Blocked by Tracker #32684: Ruby 3.0 support added
